
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops reconcile cluster

Reconcile a cluster.

### Synopsis

Reconcile the cluster by updating and rolling the control plane and nodes sequentially.

```
kops reconcile cluster [CLUSTER] [flags]
```

### Examples

```
  # After the cluster has been edited or upgraded, update the cloud resources with:
  kops reconcile cluster k8s-cluster.example.com --state=s3://my-state-store --yes
```

### Options

```
      --allow-kops-downgrade   Allow an older version of kOps to update the cluster than last used
      --api-server string      Override the API server used when communicating with the cluster kube-apiserver
  -h, --help                   help for cluster
      --use-kubeconfig         Use the server endpoint from the local kubeconfig instead of inferring from cluster name
  -y, --yes                    Create cloud resources, without --yes reconcile is in dry run mode
```

### Options inherited from parent commands

```
      --config string   yaml config file (default is $HOME/.kops.yaml)
      --name string     Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --state string    Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
  -v, --v Level         number for the log level verbosity
```

### SEE ALSO

* [kops reconcile](kops_reconcile.md)	 - Reconcile a cluster.

